﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Missile : MonoBehaviour
{
    public float speed = 20f;
    public GameObject explosionPrefab;

    GameManager gameManager; // Note this is private this time

    void Start()
    {
        // Because the bullet doesn’t exist until the game is running
        // we must find the Game Manager a different way.
        gameManager = GameObject.FindObjectOfType<GameManager>();

        Rigidbody2D rigidBody = GetComponent<Rigidbody2D>();
        rigidBody.velocity = new Vector2(0f, speed);


    }

    void OnCollisionEnter2D(Collision2D other)
    {
        Destroy(other.gameObject); // Destroy the meteor
        Vector3 spawnPosEx = transform.position;
        Instantiate(explosionPrefab, spawnPosEx, Quaternion.Euler(0, 0, transform.rotation.eulerAngles.z));
        gameManager.AddScore(); // Increment the score
        Destroy(gameObject); // Destroy the bullet
    }

}
