﻿using UnityEngine;

public class MeteorSpawn : MonoBehaviour
{
    public GameObject meteorPrefab;
    public float minSpawnDelay = 1f;
    public float maxSpawnDelay = 3f;
    public float spawnXLimit = 6f;
    private float spawnRateMultiplier = 0.8f;

    void Start()
    {
        Spawn();
    }

    void Spawn()
    {
        // Create a meteor at a random x position
        float random = Random.Range(-spawnXLimit, spawnXLimit);
        Vector3 spawnPos = transform.position + new Vector3(random, 0f, 0f);
        Instantiate(meteorPrefab, spawnPos, Quaternion.identity);

        // Invoke the next spawn with a random delay
        Invoke("Spawn", Random.Range(minSpawnDelay, maxSpawnDelay));
    }

    public void IncreaseSpawnRate()
    {
        // Reduce the spawn delay
        minSpawnDelay *= spawnRateMultiplier;
        maxSpawnDelay *= spawnRateMultiplier;

        // Optional: You can log or debug the changes to see the new rates
        Debug.Log("Spawn rate increased! New min spawn delay: " + minSpawnDelay + ", New max spawn delay: " + maxSpawnDelay);
    }
}

