﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class meteorSshooter : MonoBehaviour
{
    public float speed = -2f;
    private float elapsedTime = 0f;
    public GameObject bulletPrefab;
    public float reloadTime = 3f;

    Rigidbody2D rigidBody;

    void Start()
    {
        rigidBody = GetComponent<Rigidbody2D>();
        //Give meteor an initial downward velocity
        rigidBody.velocity = new Vector2(0, speed);
    }
    // Update is called once per frame
    void Update()
    {
        elapsedTime += Time.deltaTime;

        if (elapsedTime > reloadTime)
        {
            FireBullets();
            elapsedTime = 0f; // Reset bullet firing timer
            
        }
    }

    void FireBullets()
    {
        // Get the forward direction of the ship
        Vector3 bulletDirection = transform.up; // Assuming the ship's front is pointing up in the local space

        // Instantiate bullets at the specified spawn points in front of the ship
        Vector3 spawnPos1 = transform.position + bulletDirection * 1.2f + new Vector3(0, 0, 0);
        

        Instantiate(bulletPrefab, spawnPos1, Quaternion.Euler(0, 0, transform.rotation.eulerAngles.z));
        
    }
}
