﻿using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI; // Note this new line is needed for UI

public class GameManager : MonoBehaviour
{
    public Text scoreText;
    public Text gameOverText;
    public bool gameOver = false;
    public Text missile;
    public int playerScore = 0;
    public int speedMeteors = 10;
    public MeteorSpawn meteor;
    public ShipControl ship;
    

    void Update()
    {
        missile.text = ship.reloadBulletsFired.ToString() + " Missiles";
        // Check if the score has reached a multiple of speedMeteors
        if (playerScore >= speedMeteors)
        {
            // Increase the speedMeteors threshold
            speedMeteors += 15;

            // Notify MeteorSpawn to increase spawn rate
            meteor.IncreaseSpawnRate();
        }
    }

    public void AddScore()
    {
        playerScore++;
        // This converts the score (a number) into a string
        scoreText.text = playerScore.ToString();
    }

    public void PlayerDied()
    {
        gameOverText.enabled = true;
        
        

        // This freezes the game
        Time.timeScale = 0;
        gameOver = true;
    }
    void reloadGame()
    {
        Time.timeScale = 1;
        SceneManager.LoadScene(SceneManager.GetActiveScene().buildIndex);
    }

    void OnGUI()
    {
        if (gameOver)
        {
            string message = "";

            if (gameOver)
            {
                message = "Click or Press Enter to Play Again";

            }


            //Define a new rectangle for the UI on the screen
            Rect startButton = new Rect(Screen.width / 2 - 120, Screen.height / 2, 240, 30);

            if (GUI.Button(startButton, message) || Input.GetKeyDown(KeyCode.Return))
            {
                //start the game if the user clicks to play
                reloadGame();
            }
        }
    }
}

